package com.unibuy.smartdevice.structure;

import java.util.List;

public class PostInvoiceByGreenStructure {
    String orderId;
    String reportFlowId;
    int totalPrice;
    InvoiceStructure invoiceData;
    List<InvoiceItemStructure> invoiceItem;

    public PostInvoiceByGreenStructure(String orderId, String reportFlowId, int totalPrice, InvoiceStructure invoiceData, List<InvoiceItemStructure> invoiceItem) {
        this.orderId = orderId;
        this.reportFlowId = reportFlowId;
        this.totalPrice = totalPrice;
        this.invoiceData = invoiceData;
        this.invoiceItem = invoiceItem;
    }

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public String getReportFlowId() {
        return reportFlowId;
    }

    public void setReportFlowId(String reportFlowId) {
        this.reportFlowId = reportFlowId;
    }

    public int getTotalPrice() {
        return totalPrice;
    }

    public void setTotalPrice(int totalPrice) {
        this.totalPrice = totalPrice;
    }

    public InvoiceStructure getInvoiceData() {
        return invoiceData;
    }

    public void setInvoiceData(InvoiceStructure invoiceData) {
        this.invoiceData = invoiceData;
    }

    public List<InvoiceItemStructure> getInvoiceItem() {
        return invoiceItem;
    }

    public void setInvoiceItem(List<InvoiceItemStructure> invoiceItem) {
        this.invoiceItem = invoiceItem;
    }
}
